Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCE835.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCE835.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCE835.m	(revision 636)
@@ -1,6 +1,4 @@
 IBCE835 ;ALB/TMP - 835 EDI EXPLANATION OF BENEFITS MSG PROCESSING ;19-JAN-99
- ;;2.0;INTEGRATED BILLING;**137,135,155,377**;21-MAR-94;Build 23
- ;;Per VHA Directive 2004-038, this routine should not be modified.
- ;
+ ;;2.0;INTEGRATED BILLING;**137,135,155**;21-MAR-94
  Q
  ;
@@ -71,4 +69,16 @@
  I '$D(^TMP("IBMSG",$J,"CLAIM",IBBILL)) D HDR(IBBILL,.IBD) ;Process header data if not already done for claim
  ;
+ I $P(IBD,U,7)="Y"!($P(IBD,U,8)="Y") D  ;New patient name or id reported
+ . ;
+ . ; Alert to EDI mail group that name or ID has changed
+ . N XQA,XQAMSG
+ . S XQA("G.IB EDI")=""
+ . S XQAMSG="EOB for bill # "_IBBILL_" indicates a new name or id exists for patient"
+ . D SETUP^XQALERT
+ . ;
+ . S IBD("LINE")=$G(IBD("LINE"))+1
+ . I $P(IBD,U,7)="Y" S ^TMP("IBMSG",$J,"CLAIM",IBBILL,IBD("LINE"))="New patient name: "_$P(IBD,U,3)_","_$P(IBD,U,4)_" "_$P(IBD,U,5)_"  "
+ . I $P(IBD,U,8)="Y" S ^TMP("IBMSG",$J,"CLAIM",IBBILL,IBD("LINE"))=$G(^TMP("IBMSG",$J,"CLAIM",IBBILL,IBD("LINE")))_"New patient id: "_$P(IBD,U,6)
+ ;
  I $P(IBD,U,9) D  ;Statement dates
  . S IBD("LINE")=$G(IBD("LINE"))+1
@@ -77,21 +87,4 @@
  S ^TMP("IBMSG",$J,"CLAIM",IBBILL,"D",5,1)="##RAW DATA: "_IBD
  S ^TMP("IBMSG",$J,"CLAIM",IBBILL,"D1",1,5)="##RAW DATA: "_IBD
- Q
- ;
-6(IBD) ; Process 06 record type for corrected name and/or ID# - IB*2*377 - 1/14/08
- NEW IBCLM,Z
- S IBCLM=$$GETCLM^IBCE277($P(IBD,U,2))
- Q:IBCLM=""
- I '$D(^TMP("IBMSG",$J,"CLAIM",IBCLM)) D HDR(IBCLM,.IBD)   ;Process header data if not already done for claim
- ;
- S Z=$G(IBD("LINE"))
- I $P(IBD,U,3)'="" S Z=Z+1,^TMP("IBMSG",$J,"CLAIM",IBCLM,Z)="Corrected Patient Last Name: "_$P(IBD,U,3)
- I $P(IBD,U,4)'="" S Z=Z+1,^TMP("IBMSG",$J,"CLAIM",IBCLM,Z)="Corrected Patient First Name: "_$P(IBD,U,4)
- I $P(IBD,U,5)'="" S Z=Z+1,^TMP("IBMSG",$J,"CLAIM",IBCLM,Z)="Corrected Patient Middle Name: "_$P(IBD,U,5)
- I $P(IBD,U,6)'="" S Z=Z+1,^TMP("IBMSG",$J,"CLAIM",IBCLM,Z)="Corrected Patient ID#: "_$P(IBD,U,6)
- S IBD("LINE")=Z
- ;
- S ^TMP("IBMSG",$J,"CLAIM",IBCLM,"D",6,1)="##RAW DATA: "_IBD
- S ^TMP("IBMSG",$J,"CLAIM",IBCLM,"D1",1,6)="##RAW DATA: "_IBD
  Q
  ;
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCE837A.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCE837A.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCE837A.m	(revision 636)
@@ -1,5 +1,4 @@
 IBCE837A ;ALB/TMP - OUTPUT FOR 837 TRANSMISSION - CONTINUED ;8/6/03 10:50am
- ;;2.0;INTEGRATED BILLING;**137,191,211,232,296,377**;21-MAR-94;Build 23
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;2.0;INTEGRATED BILLING;**137,191,211,232,296**;21-MAR-94
  ;
 UPD(MSGNUM,BATCH,CNT,BILLS,DESC,IBBTYP,IBINS) ; Upd current batch + bills w/new status
@@ -30,15 +29,4 @@
  .S DA=IBIEN,DIE="^IBA(364,",DR=".02////"_IBBATCH_";.03///P;.04///NOW" D ^DIE
  .S IBIFN=+$G(^IBA(364,IBIEN,0))
- . ;
- . ; If this claim has just been retransmitted, set the .06 field for the previous transmission entry
- . N PRVTXI,PRVTXD
- . S PRVTXI=$O(^IBA(364,"B",IBIFN,IBIEN),-1)      ; previous transmission for this claim
- . I PRVTXI D
- .. S PRVTXD=$G(^IBA(364,PRVTXI,0))
- .. I '$F(".R.E.","."_$P(PRVTXD,U,3)_".") Q                 ; prev trans must have status of "R" or "E"
- .. I $P(PRVTXD,U,7,8)'=$P($G(^IBA(364,IBIEN,0)),U,7,8) Q   ; test bill and COB must be the same
- .. S DA=PRVTXI,DIE=364,DR=".06///"_IBBATCH D ^DIE          ; update the resubmit batch number
- .. Q
- . ;
  .Q:$D(^TMP("IBRESUBMIT",$J))!($P($G(^DGCR(399,IBIFN,0)),U,13)=4)!(+$$TXMT^IBCEF4(IBIEN)=2)
  .S IBMRA=$$NEEDMRA^IBEFUNC(IBIFN)
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEBUL.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEBUL.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEBUL.m	(revision 636)
@@ -1,18 +1,14 @@
 IBCEBUL ;ALB/TMP - 837 EDI SPECIAL BULLETINS PROCESSING ;19-SEP-96
- ;;2.0;INTEGRATED BILLING;**137,250,377**;21-MAR-94;Build 23
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;2.0;INTEGRATED BILLING;**137,250**;21-MAR-94
  ;
 NOTSENT ; Check for batches in pending status (no confirmation from Austin)
  ;  from yesterday or before
- N XMTO,XMSUBJ,XMBODY,XMDUZ,IBT,IB,IBE,IBCT,IBI,IB0,IB1,Z,IBTYP
+ N XMTO,XMSUBJ,XMBODY,XMDUZ,IBT,IB,IBE,IBCT,IBI,IB0,IB1,Z,IBDTM
  K ^TMP($J,"IBNOTSENT")
+ D NOW^%DTC S IBDTM=%
  S (IBCT,IBI)=0
- F  S IBI=$O(^IBA(364.1,"ASTAT","P",IBI)) Q:'IBI  D
- . I $$BCHCHK(IBI) Q    ; Batch check function
- . S IBCT=IBCT+1
- . S IBTYP=$P($G(^IBA(364.1,IBI,0)),U,7)
- . I IBCT'>10,IBTYP'="" S ^TMP($J,"IBNOTSENT",IBTYP,IBI)=""
- . Q
- ;
+ F  S IBI=$O(^IBA(364.1,"ASTAT","P",IBI)) Q:'IBI  S IBTYP=$P($G(^IBA(364.1,IBI,0)),U,7),IBDAYS=(IBDTM-$P($G(^(1)),U,6)) I IBDAYS>1,IBDAYS'=IBDTM,$O(^IBA(364,"C",IBI,0)) D
+ .S IBCT=IBCT+1,IBCT(+IBTYP)=$G(IBCT(+IBTYP))+1
+ .I IBCT'>10 S ^TMP($J,"IBNOTSENT",IBTYP,IBI)=""
  I IBCT D
  .S IBT(1)="There are "_IBCT_" EDI batch(es) still pending Austin receipt "
@@ -20,5 +16,5 @@
  .S IBT(3)="as being received by Austin."
  .S IBT(4)=" "
- .I IBCT>10 S IBT(5)="Since there were more than 10 batches found, please run the ",IBT(6)="  EDI BATCHES PENDING RECEIPT report to get a list of these batches."
+ .I IBCT>10 S IBT(5)="Since there were more than 10 batches found, please run the ",IBT(6)="  EDI BATCHES WAITING FOR AUSTIN RECEIPT OVER 1-DAY report to get a list of these batches."
  .I IBCT'>10 D
  ..S IBT(5)="      BATCH #      PENDING SINCE             MAIL MESSAGE #",IBT(6)="",$P(IBT(6),"-",76)="",IBT(6)="  "_IBT(6),IBE=6
@@ -32,57 +28,6 @@
  ....S IBT(IBE)="      "_$E($P(IB0,U)_$J("",10),1,10)_"   "_$E($$FMTE^XLFDT($P(IB1,U,6),1)_$J("",20),1,20)_"      "_$P(IB0,U,4),IBE=IBE+1,IBT(IBE)=$J("",8)_$E($P(IB0,U,8),1,72)
  .S XMSUBJ="EDI BATCHES WAITING AUSTIN RECEIPT FOR OVER 1 DAY",XMBODY="IBT",XMDUZ="",XMTO("I:G.IB EDI")=""
- .D SENDMSG^XMXAPI(XMDUZ,XMSUBJ,XMBODY,.XMTO)
+ .D SENDMSG^XMXAPI(XMDUZ,XMSUBJ,XMBODY,.XMTO,,.XMZ)
  K ^TMP($J,"IBNOTSENT")
  Q
  ;
-UPDBCH(BCHIEN) ; update the status of this batch to show A0:received in Austin
- NEW DIE,DA,DR
- S DIE=364.1,DA=+BCHIEN,DR=".02///A0"
- I $D(^IBA(DIE,DA,0)) D ^DIE
-UPDBCHX ;
- Q
- ;
-BCHCHK(BCHIEN) ; This function will check the EDI claims associated with this
- ; batch and determine if this batch has been received in Austin or not.
- ;
- ; ** This function is also called by routine IBCERP3 **
- ;
- ; Function value = 1 if we can determine that the batch was received in Austin, or
- ;                = 1 if there are no claims in this batch, or
- ;                = 1 if the batch is less than 24 hours old - too new to worry about
- ;                = 1 means don't display on report or MailMan message
- ;
- ; Function value = 0 if the batch has not yet been received in Austin
- ;                = 0 means we need to display batch on report and in MailMan message
- ;
- NEW IBEDI,IBOK,IBZ,IBIFN,IB0,AR,IBSECS
- S IBEDI=0,IBOK=1,BCHIEN=+$G(BCHIEN)
- ;
- ; if the batch transmission is still less than 24 hours old, skip this batch and get out
- S IBSECS=$$FMDIFF^XLFDT($$NOW^XLFDT,$P($G(^IBA(364.1,BCHIEN,1)),U,6),2)
- I IBSECS<86400 G BCHCHKX    ; # seconds in a day
- ;
- ; if no edi claims in this batch, update batch status and get out
- I '$O(^IBA(364,"C",BCHIEN,0)) D UPDBCH(BCHIEN) G BCHCHKX
- ;
- F  S IBEDI=$O(^IBA(364,"C",BCHIEN,IBEDI)) Q:'IBEDI  D  Q:'IBOK
- . S IBZ=$G(^IBA(364,IBEDI,0))
- . S IBIFN=+IBZ,IB0=$G(^DGCR(399,IBIFN,0))
- . I $P(IB0,U,13)=7 Q                    ; cancelled in IB
- . I $P(IBZ,U,3)'="P" Q                  ; edi claim status is not pending
- . S AR=$P($$BILL^RCJIBFN2(IBIFN),U,2)   ; AR status DBIA 1452
- . I $F(".22.26.39.","."_AR_".") Q       ; collected/closed or cancelled
- . ;
- . ; if we get to this point, then we have found an EDI claim in this batch
- . ; that is not cancelled in IB, the EDI claim status is "P", and the
- . ; AR status is not collected/closed nor cancelled in AR.  So therefore
- . ; this claim didn't get to Austin, so the batch didn't get to Austin.
- . S IBOK=0
- . Q
- ;
- ; If we find the batch has been received in Austin, then change the batch status.
- I IBOK D UPDBCH(BCHIEN)
- ;
-BCHCHKX ;
- Q IBOK
- ;
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCECOB1.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCECOB1.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCECOB1.m	(revision 636)
@@ -1,5 +1,4 @@
 IBCECOB1 ;ALB/CXW - IB COB MANAGEMENT SCREEN/REPORT ;14-JUN-99
- ;;2.0;INTEGRATED BILLING;**137,155,288,348,377**;21-MAR-94;Build 23
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;2.0;INTEGRATED BILLING;**137,155,288,348**;21-MAR-94;Build 5
  ;
 BLD ; Build list entrypoint
@@ -121,5 +120,5 @@
  .. S X=""
  .. S X=$$SETFLD^VALM1(IBCNT,X,"NUMBER")
- .. S X=$$SETFLD^VALM1($$BN1^PRCAFN(IBIFN)_$S($P($G(^DGCR(399,IBIFN,"TX")),U,10)=1:"*",1:""),X,"BILL")
+ .. S X=$$SETFLD^VALM1($$BN1^PRCAFN(IBIFN),X,"BILL")
  .. S X=$$SETFLD^VALM1($$DAT1^IBOUTL($P(IB,U)),X,"SERVICE")
  .. S X=$$SETFLD^VALM1(IBPAT,X,"PATNM")
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCECSA1.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCECSA1.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCECSA1.m	(revision 636)
@@ -1,5 +1,4 @@
 IBCECSA1 ;ALB/CXW - IB STATUS AWAITING RESOLUTION SCREEN ;28-JUL-99
- ;;2.0;INTEGRATED BILLING;**137,283,288,320,368**;21-MAR-94;Build 21
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;2.0;INTEGRATED BILLING;**137,283,288,320**;21-MAR-94
  ; DBIA for $$BN1^PRCAFN()
  ;
@@ -52,5 +51,5 @@
  . ;
  . S IBSTSMSG=$$TXT(IBDA)       ; status message text
- . S IBERR=$E(IBSTSMSG,1,60)
+ . S IBERR=$E(IBSTSMSG,1,30)
  . I IBERR="" S IBERR="-"
  . ;
@@ -151,18 +150,12 @@
  F  S LN=$O(^IBM(361,+$G(IBDA),1,LN)) Q:'LN  D  Q:STOP
  . S TX=$G(^IBM(361,IBDA,1,LN,0))
+ . I $E(TX,1,5)="Error" S TX=$E(TX,6,999)
  . S TX=$$TRIM^XLFSTR(TX)
- . ; Don't include parts added by ^IBCE277
- . Q:TX="Informational Message:"
- . Q:TX="Warning Message:"
- . Q:TX="Error Message:"
- . I $E(TX,1,27)="Clearinghouse Trace Number:" S STOP=1 Q
- . I $E(TX,1,18)="Payer Status Date:" S STOP=1 Q
- . I $E(TX,1,19)="Payer Claim Number:" S STOP=1 Q
- . I $E(TX,1,12)="Split Claim:" S STOP=1 Q
- . I $E(TX,1,11)="Claim Type:" S STOP=1 Q
  . I $E(TX,1,8)="Patient:" S STOP=1 Q
  . I $E(TX,1,14)="Service Dates:" S STOP=1 Q
  . I $E(TX,1,11)="Payer Name:" S STOP=1 Q
  . I $E(TX,1,7)="Source:" S STOP=1 Q
+ . I $E(TX,1,11)="Claim Line:" S STOP=1 Q
+ . I $E(TX,1,13)="Service Type:" S STOP=1 Q
  . I TX["HL=" S HLN=+$P(TX,"HL=",2),DELIM="HL="_HLN,TX=$P(TX,DELIM,1)_"HL= "_$P(TX,DELIM,2,9)
  . I TX["ENVOY REF: " S REFN=$E($P(TX,"ENVOY REF: ",2),1,14),DELIM="ENVOY REF: "_REFN,TX=$P(TX,DELIM,1)_"ENVOY REF: "_$P(TX,DELIM,2,9)
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCECSA3.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCECSA3.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCECSA3.m	(revision 636)
@@ -1,20 +1,10 @@
 IBCECSA3 ;ALB/CXW - CLAIMS STATUS AWAITING RESOLUTION REPORT ;23-JUL-99
- ;;2.0;INTEGRATED BILLING;**137,320,371,377**;21-MAR-94;Build 23
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;2.0;INTEGRATED BILLING;**137,320**;21-MAR-94
  Q
 EN ; Report of claims status awaiting resolution
- NEW %ZIS,ZTSAVE,ZTRTN,ZTDESC,DIR,X,Y,DIRUT,DTOUT,DUOUT,DIROUT,IBRVW
- ;
  D FULL^VALM1
- W !
- S DIR(0)="YO"           ; IB*2*377 new question
- S DIR("A")="Would you like to include Review Comments with this report"
- S DIR("B")="No"
- D ^DIR K DIR
- I $D(DIRUT) Q
- S IBRVW=Y
- ;
  W !!,"You will need a 132 column printer for this report!",!
  ;
+ N %ZIS,ZTSAVE,ZTRTN,ZTDESC
  S %ZIS="QM" D ^%ZIS Q:POP
  I $D(IO("Q")) K IO("Q") D  Q
@@ -25,5 +15,4 @@
  . S ZTSAVE("IBSORTOR")=""
  . S ZTSAVE("^TMP(""IBCECSB"",$J,")=""
- . S ZTSAVE("IBRVW")=""
  . S ZTDESC="IB -Claims Status Awaiting Resolution Report" D ^%ZTLOAD K ZTSK D HOME^%ZIS
  U IO
@@ -35,10 +24,9 @@
  I '$D(^TMP("IBCECSB",$J)) D  G LISTQ
  . D HDR1 W !,"No entries found for this report"
- S IBX="" F  S IBX=$O(^TMP("IBCECSB",$J,IBX)) Q:IBX=""!IBSTOP  S IBX2="" F  S IBX2=$O(^TMP("IBCECSB",$J,IBX,IBX2)) Q:IBX2=""!IBSTOP  S IBX3="" F  S IBX3=$O(^TMP("IBCECSB",$J,IBX,IBX2,IBX3)) Q:IBX3=""!IBSTOP  D  Q:IBSTOP
+ S IBX="" F  S IBX=$O(^TMP("IBCECSB",$J,IBX)) Q:IBX=""!IBSTOP  S IBX2="" F  S IBX2=$O(^TMP("IBCECSB",$J,IBX,IBX2)) Q:IBX2=""!IBSTOP  S IBX3="" F  S IBX3=$O(^TMP("IBCECSB",$J,IBX,IBX2,IBX3)) Q:IBX3=""!IBSTOP  D
  . I 'IBFST S IBPAY=$$IBPAY(IBX,IBX2,IBX3) D HDR1 S:'IBDIV IBFST=1 Q:IBSTOP
- . S IBDA=0 F  S IBDA=$O(^TMP("IBCECSB",$J,IBX,IBX2,IBX3,IBDA)) Q:'IBDA!IBSTOP  S IB=$G(^TMP("IBCECSB",$J,IBX,IBX2,IBX3,IBDA)) D  Q:IBSTOP
- .. I ($Y+3)>IOSL D HDR1 Q:IBSTOP
- .. W $$BN1^PRCAFN(+IB),$P(IB,U,12),?13,$E($P(IB,U,2),1,25),?40,$E($P(IB,U,3),1,30),?72,$P($P(IB,U,4),"~"),?78,$$DAT1^IBOUTL($P(IB,U,5)),?88,$E($P(IB,U,7),1,10),?100,"$"_$J($P(IB,U,6),0,2),?110,$P(IB,U,10),?122,$P(IB,U,11),!
- .. I $P(IB,U,12)="*" W " ***** CSA REVIEW IN PROCESS *****",!
+ . S IBDA=0 F  S IBDA=$O(^TMP("IBCECSB",$J,IBX,IBX2,IBX3,IBDA)) Q:'IBDA!IBSTOP  S IB=$G(^TMP("IBCECSB",$J,IBX,IBX2,IBX3,IBDA)) D
+ .. I ($Y+5)>IOSL D HDR1 Q:IBSTOP
+ .. W $$BN1^PRCAFN(+IB),?13,$E($P(IB,U,2),1,25),?40,$E($P(IB,U,3),1,30),?72,$P($P(IB,U,4),"~"),?78,$$DAT1^IBOUTL($P(IB,U,5)),?88,$E($P(IB,U,7),1,10),?100,"$"_$J($P(IB,U,6),0,2),?110,$P(IB,U,10),?122,$P(IB,U,11),!
  .. W " FORM TYPE: "_$P($G(^IBE(353,$P($G(^DGCR(399,+IB,0)),U,19),0)),U),!
  .. I 'IBDIV S X=" DIVISION: "_$P(IB,U,8) W X,$J(" ",40-$L(X))_"AUTHORIZING BILLER: "_$P($P(IB,U,9),"~",1),!
@@ -48,35 +36,6 @@
  ... F I=1:131:$L(X) W " "_$E(X,I,I+130),!
  ... S IBZFT=1
- ... I ($Y+3)>IOSL D HDR1 Q:IBSTOP
- ... Q
- .. Q:IBSTOP
- .. ;
- .. ; Display the Review Comments if they exist based on user choice (IB*377)
- .. I $G(IBRVW),+$O(^IBM(361,IBDA,2,0)) D  Q:IBSTOP
- ... N IBCM,IBT1,IBT0,IBD0,IBCL
- ... I ($Y+3)>IOSL D HDR1 Q:IBSTOP
- ... W ?3,"*** Review Comments for Claim "_$$BN1^PRCAFN(+IB)_" ***",!
- ... S IBCM=0 F IBT1=0:1 S IBCM=$O(^IBM(361,IBDA,2,IBCM)) Q:'IBCM     ; count up # of comments
- ... S IBT0=0
- ... S IBCM=0 F  S IBCM=$O(^IBM(361,IBDA,2,IBCM)) Q:'IBCM!IBSTOP  D  Q:IBSTOP
- .... S IBT0=IBT0+1
- .... S IBD0=$G(^IBM(361,IBDA,2,IBCM,0))
- .... I ($Y+3)>IOSL D HDR1 Q:IBSTOP
- .... W ?7,"Entered "_$$FMTE^XLFDT($P(IBD0,U,1),"5ZPM")
- .... I $P(IBD0,U,2) W " by "_$P($G(^VA(200,$P(IBD0,U,2),0)),U,1)
- .... W " ("_IBT0_" of "_IBT1_")",!
- .... S IBCL=0 F  S IBCL=$O(^IBM(361,IBDA,2,IBCM,1,IBCL)) Q:'IBCL!IBSTOP  D  Q:IBSTOP
- ..... I ($Y+3)>IOSL D HDR1 Q:IBSTOP
- ..... W ?10,$G(^IBM(361,IBDA,2,IBCM,1,IBCL,0)),!
- ..... Q
- .... Q
- ... Q
- .. ;
- .. ; Display a line break before the next claim in this report
- .. I ($Y+3)>IOSL D HDR1 Q:IBSTOP
+ ... I ($Y+5)>IOSL D HDR1 Q:IBSTOP
  .. W !
- .. Q
- . Q
- ;
  G:IBSTOP LISTQ
  I $E(IOST,1,2)["C-" K DIR S DIR(0)="E" D ^DIR K DIR
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCECSA4.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCECSA4.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCECSA4.m	(revision 636)
@@ -1,5 +1,5 @@
 IBCECSA4 ;ALB/CXW - IB CLAIMS STATUS AWAITING RESOLUTION SCREEN ;5-AUG-1999
- ;;2.0;INTEGRATED BILLING;**137,155,320,371**;21-MAR-1994;Build 57
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;2.0;INTEGRATED BILLING;**137,155,320**;21-MAR-1994
+ ;;Per VHA Directive 10-93-142, this routine should not be modified.
  ;
 SMSG ;select message
@@ -14,5 +14,4 @@
  . D UNLOCK^IBCEU0(361,$P(IBA,U,2))
 SMSGQ S VALMBCK="R"
- I $G(IBFASTXT) S VALMBCK="Q" K IBDAX
  D:$O(IBDAX(0)) BLD^IBCECSA1
  Q
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF.m	(revision 636)
@@ -1,4 +1,4 @@
 IBCEF ;ALB/TMP - FORMATTER SPECIFIC BILL FUNCTIONS ;22-JAN-96
- ;;2.0;INTEGRATED BILLING;**52,80,51,137,288,296,361,371**;21-MAR-94;Build 57
+ ;;2.0;INTEGRATED BILLING;**52,80,51,137,288,296,361**;21-MAR-94;Build 9
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -39,5 +39,5 @@
  S:$G(IBCOB)="" IBCOB=""
  I 'IBCOB S IBCOB=$$COBN(IBIFN,$G(IBCOB))
- S IBI=+$$POLICY(IBIFN,16,IBCOB)     ; pt relationship to insured
+ S IBI=+$$POLICY(IBIFN,16,IBCOB)
  S DFN=+$P($G(^DGCR(399,IBIFN,0)),U,2)
  I $S('IBI:1,1:"12"'[IBI) S IBADDR="" G INSADDQ
@@ -48,15 +48,9 @@
 INSADDQ S A=$P($G(^DGCR(399,IBIFN,"M")),U,(11+IBCOB))
  S A=$G(^DPT(DFN,.312,+A,3))
- I $TR($P(IBADDR,U)," ")="" D PI3
- I IBI=2,$$NOPUNCT($P(A,U,6,10),1)'="" D PI3
+ I $TR($P(IBADDR,U)," ")="" D
+ .S $P(IBADDR,U)=$P(A,U,6)_" "_$P(A,U,7),$P(IBADDR,U,5,6)=$P(A,U,6,7)
+ .F B=2,4 S $P(IBADDR,U,B)=$P(A,U,B+6)
+ .S $P(IBADDR,U,3)=$P($G(^DIC(5,+$P(A,U,9),0)),U,2)
  Q IBADDR
- ;
-PI3 ; build IBADDR string from patient insurance 3 node data
- S $P(IBADDR,U,1)=$P(A,U,6)_" "_$P(A,U,7)
- S $P(IBADDR,U,5,6)=$P(A,U,6,7)
- F B=2,4 S $P(IBADDR,U,B)=$P(A,U,B+6)
- S $P(IBADDR,U,3)=$P($G(^DIC(5,+$P(A,U,9),0)),U,2)
- S $P(IBADDR,U,7)=""   ; no street address 3 in file 2.312
- Q
  ;
 PTADDR(IBIFN,ELE) ;Return part of patient's permanent address
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF1.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF1.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF1.m	(revision 636)
@@ -1,4 +1,4 @@
 IBCEF1 ;ALB/TMP - FORMATTER SPECIFIC BILL FUNCTIONS - CONT ;30-JAN-96
- ;;2.0;INTEGRATED BILLING;**52,124,51,137,210,155,349,371**;21-MAR-94;Build 57
+ ;;2.0;INTEGRATED BILLING;**52,124,51,137,210,155,349**;21-MAR-94;Build 46
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -183,16 +183,10 @@
  . ;       address that shows through the envelope window.
  . ;
- . ; esg - 9/13/07 - IB*2*371 - Line 1 of this box contains the print
- . ;       status (i.e. copy, 2nd notice, 3rd notice, MRA needed).
- . ;
- . N Z,Z1,LM,Q,ADDR,X,IBPSTAT
+ . N Z,LM,Q,ADDR,X
  . S LM=$P($G(^IBE(350.9,1,1)),U,31)   ; UB address column parameter
  . S Z=""
  . I LM S $P(Z," ",LM)=""              ; beginning spaces indent
  . S ADDR=$G(IBXSAVE("CADR"))          ; address data string
- . ;
- . D F^IBCEF("N-PRINT BILL SUBMIT STATUS","IBPSTAT",,+$G(IBXIEN))
- . S Z1=Z I Z1="" S Z1=" "     ; line 1 can't start in column 1
- . S IBXDATA(1)=Z1_$G(IBPSTAT),Q=1             ; line 1 print status
+ . S IBXDATA(1)="",Q=1                 ; line 1 is blank
  . S Q=Q+1
  . S IBXDATA(Q)=Z_$G(IBXSAVE("CADR_NAME"))     ; line 2 payer name
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF11.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF11.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF11.m	(revision 636)
@@ -1,4 +1,4 @@
 IBCEF11 ;ALB/TMP - FORMATTER SPECIFIC BILL FUNCTIONS - CONT ;30-JAN-96
- ;;2.0;INTEGRATED BILLING;**51,137,155,309,335,348,349,371**;21-MAR-94;Build 57
+ ;;2.0;INTEGRATED BILLING;**51,137,155,309,335,348,349**;21-MAR-94;Build 46
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -82,21 +82,8 @@
  K IBRX
  ;
- ; for EDI, remove any $0 line items from the IBFLD array before 
- ; dropping down into the next loop (IB*2*371)
- I '$G(IBPRINT) D
- . NEW IBZ,IBI,Z
- . M IBZ=IBFLD K IBFLD
- . S (IBI,Z)=0
- . F  S IBI=$O(IBZ(24,IBI)) Q:IBI'=+IBI  D
- .. I $P(IBZ(24,IBI),U,7)*$P(IBZ(24,IBI),U,8)'>0 Q
- .. S Z=Z+1
- .. M IBFLD(24,Z)=IBZ(24,IBI)
- .. S IBFLD(24)=Z
- .. Q
- . Q
- ;
  S IBI=0
  F  S IBI=$O(IBFLD(24,IBI)) Q:IBI'=+IBI  D
  . S IBRX1=0
+ . I '$G(IBPRINT) Q:$P(IBFLD(24,IBI),U,7)*$P(IBFLD(24,IBI),U,8)'>0  ; For EDI, ignore 0-charge line items
  . S IBXDATA(IBI)=$P(IBFLD(24,IBI),U)_U_$P(IBFLD(24,IBI),U,$S($P(IBFLD(24,IBI),U,2)=""&'$G(IBPRINT):1,1:2))
  . S $P(IBXDATA(IBI),U,3,5)=$P(IBFLD(24,IBI),U,3,5)
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF21.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF21.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF21.m	(revision 636)
@@ -1,5 +1,4 @@
 IBCEF21 ;ALB/TMP - FORMATTER SPECIFIC BILL FUNCTIONS CONTINUED ;06-FEB-96
- ;;2.0;INTEGRATED BILLING;**51,296,371,389**;21-MAR-94;Build 6
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;2.0;INTEGRATED BILLING;**51,296**;21-MAR-94
  ;
 COID(IBIFN) ; Claim office ID
@@ -40,5 +39,5 @@
  D SET^IBCSC5B(IBIFN,.IBARRAY)
  I $P($G(IBARRAY),U,2) D  ;Prosthetics
- . S Z0=0 F  S Z0=$O(IBARRAY(Z0)) Q:Z0=""  S Z1=0 F  S Z1=$O(IBARRAY(Z0,Z1)) Q:'Z1  S Z=Z+1,IBXDATA(Z)="Prosthetic: "_$E($$PINB^IBCSC5B(+IBARRAY(Z0,Z1)),1,39)_" "_$E(Z0,4,5)_"/"_$E(Z0,6,7)_"/"_$E(Z0,1,2)
+ . S Z0=0 F  S Z0=$O(IBARRAY(Z0)) Q:Z0=""  S Z1=0 F  S Z1=$O(IBARRAY(Z0,Z1)) Q:'Z1  S Z=Z+1,IBXDATA(Z)="Prosthetic: "_$E($P($$PIN^IBCSC5B(Z1),U,2),1,39)_" "_$E(Z0,4,5)_"/"_$E(Z0,6,7)_"/"_$E(Z0,1,2)
  Q
  ;
@@ -78,72 +77,2 @@
  Q
  ;
-INSSECID(IBIFN,TYPE,SEQ) ; Extract subscriber and patient prim/sec ID's
- ; IBIFN required
- ; TYPE is either "PAT" or "SUB" to indicate we need to extract either
- ;          patient or subscriber ID information.  Default="SUB".
- ; SEQ is the insurance sequence# (1,2,3).  Default is current ins seq#.
- ;
- ; Output:
- ; Function returns an 8-piece string as follows.
- ;   [1] primary qualifier
- ;   [2] primary ID
- ;   [3] secondary qual(1)
- ;   [4] secondary ID(1)
- ;   [5] secondary qual(2)
- ;   [6] secondary ID(2)
- ;   [7] secondary qual(3)
- ;   [8] secondary ID(3)
- ;
- NEW DATA,DFN,POL,IB0,IB5,REL
- S DATA=""
- S IBIFN=+$G(IBIFN) I 'IBIFN G INSSX
- I $G(TYPE)="" S TYPE="SUB"               ; default type of ID's to get
- I '$F(".PAT.SUB.","."_TYPE_".") G INSSX
- I '$G(SEQ) S SEQ=$$COBN^IBCEF(IBIFN)     ; default current ins seq#
- I '$F(".1.2.3.","."_SEQ_".") G INSSX
- S DFN=+$P($G(^DGCR(399,IBIFN,0)),U,2) I 'DFN G INSSX
- S POL=+$P($G(^DGCR(399,IBIFN,"M")),U,SEQ+11) I 'POL G INSSX
- S IB0=$G(^DPT(DFN,.312,POL,0)) I IB0="" G INSSX
- S IB5=$G(^DPT(DFN,.312,POL,5))
- S REL=+$P(IB0,U,16)                      ; pat rel to insured
- S $P(DATA,U,1)="MI"
- S $P(DATA,U,2)=$P(IB0,U,2)               ; subscriber primary ID
- S $P(DATA,U,3,8)=$P(IB5,U,2,7)           ; subscriber secondary data
- I TYPE="PAT",REL'=1 D
- . S $P(DATA,U,2)=$P(IB5,U,1)             ; patient primary ID
- . S $P(DATA,U,3,8)=$P(IB5,U,8,13)        ; patient secondary data
- . Q
- ;
- S DATA=$$SCRUB(DATA)     ; scrub the data
-INSSX ;
- Q DATA
- ;
-SCRUB(DATA) ; Scrub the 8-piece string gathered above
- NEW PCE
- ;
- ; make sure you can't have an ID without a qualifier or a qualifier
- ; without an ID.  Check all 4 pairs.
- F PCE=1,3,5,7 D
- . I $P(DATA,U,PCE)'="",$P(DATA,U,PCE+1)'="" Q
- . S ($P(DATA,U,PCE),$P(DATA,U,PCE+1))=""
- . Q
- ;
- ; fill in secondary gaps.  If Set1 and Set2 are blank, but Set3 exists
- ; then move Set3 to Set1 and delete Set3.
- I $P(DATA,U,3)="",$P(DATA,U,5)="",$P(DATA,U,7)'="" D
- . S $P(DATA,U,3)=$P(DATA,U,7),$P(DATA,U,4)=$P(DATA,U,8)
- . S ($P(DATA,U,7),$P(DATA,U,8))=""
- . Q
- ;
- ; fill in secondary gaps more generically.
- ; If Set(n) is blank, but Set(n+1) exists, then move it up.
- F PCE=3,5 D
- . I $P(DATA,U,PCE)="",$P(DATA,U,PCE+2)'="" D
- .. S $P(DATA,U,PCE)=$P(DATA,U,PCE+2)
- .. S $P(DATA,U,PCE+1)=$P(DATA,U,PCE+3)
- .. S ($P(DATA,U,PCE+2),$P(DATA,U,PCE+3))=""
- .. Q
- . Q
- ;
- Q DATA
- ;
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF22.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF22.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF22.m	(revision 636)
@@ -1,4 +1,4 @@
 IBCEF22 ;ALB/TMP - FORMATTER SPECIFIC BILL FUNCTIONS ;06-FEB-96
- ;;2.0;INTEGRATED BILLING;**51,137,135,155,309,349,389**;21-MAR-94;Build 6
+ ;;2.0;INTEGRATED BILLING;**51,137,135,155,309,349**;21-MAR-94;Build 46
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -122,5 +122,5 @@
  .. S IBLCNT=IBLCNT+1,IBXSAVE("PROS-UB-04",IBLCNT)="PROSTHETIC REFILLS:",IBLCNT=2
  .. S IBX=0 F  S IBX=$O(IBARRAY(IBX)) Q:IBX=""  S IBY=0 F  S IBY=$O(IBARRAY(IBX,IBY)) Q:'IBY  D
- ... S IBLCNT=IBLCNT+1,IBXSAVE("PROS-UB-04",IBLCNT)=$$FMTE^XLFDT(IBX,2)_" "_$J($S($P(IBARRAY(IBX,IBY),U,2):"$"_$FN($P(IBARRAY(IBX,IBY),U,2),",",2),1:""),10)_"  "_$E($$PINB^IBCSC5B(+IBARRAY(IBX,IBY)),1,54)
+ ... S IBLCNT=IBLCNT+1,IBXSAVE("PROS-UB-04",IBLCNT)=$$FMTE^XLFDT(IBX,2)_" "_$J($S($P(IBARRAY(IBX,IBY),U,2):"$"_$FN($P(IBARRAY(IBX,IBY),U,2),",",2),1:""),10)_"  "_$E($P($$PIN^IBCSC5B(IBY),U,2),1,54)
  Q
  ;
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF3.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF3.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF3.m	(revision 636)
@@ -1,4 +1,4 @@
 IBCEF3 ;ALB/TMP - FORMATTER SPECIFIC BILL FLD FUNCTIONS ;17-JUNE-96
- ;;2.0;INTEGRATED BILLING;**52,84,121,51,152,210,155,348,349,389**;21-MAR-94;Build 6
+ ;;2.0;INTEGRATED BILLING;**52,84,121,51,152,210,155,348,349**;21-MAR-94;Build 46
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -122,7 +122,7 @@
  S Z="",CT=0
  F  S Z=$O(IBARRAY(Z)) Q:Z=""  S Z0="" F  S Z0=$O(IBARRAY(Z,Z0)) Q:Z0=""  S CT=CT+1 D
- .S PROS=$$PINB^IBCSC5B(+IBARRAY(Z,Z0)) ; P389 removed p2 - item ptr file 661
- .;date^^short descr^entry # in file 362.5
- .S IBXDATA(CT)=Z_U_U_PROS_U_+IBARRAY(Z,Z0)
+ .S PROS=$P($$PIN^IBCSC5B(+$P($G(^IBA(362.5,+IBARRAY(Z,Z0),0)),U,3)),U,2)
+ .;date^item ptr file 661^short descr from file 441^entry # in file 362.5
+ .S IBXDATA(CT)=Z_U_Z0_U_PROS_U_+IBARRAY(Z,Z0)
 PROSQ Q CT
  ;
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF73.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF73.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF73.m	(revision 636)
@@ -1,4 +1,4 @@
 IBCEF73 ;WOIFO/SS - FORMATTER AND EXTRACTOR SPECIFIC BILL FUNCTIONS ;8/6/03 10:56am
- ;;2.0;INTEGRATED BILLING;**232,320,358,349,377**;21-MAR-94;Build 23
+ ;;2.0;INTEGRATED BILLING;**232,320,358,349**;21-MAR-94;Build 46
  ;;Per VHA Directive 2004-038, this routine should not be modified.
  ;
@@ -174,5 +174,5 @@
  D F^IBCEF("N-ALL INSURED PT RELATION","IBZ",,IBXIEN)
  S IBZ=$G(IBZ(+$$COBN^IBCEF(IBXIEN)))
- S IBZ=$$PRELCNV^IBCNSP1(IBZ,1)
+ S IBZ=$$RELATION^IBCEFG1(IBZ)
  I IBZ'="18" S IBXDATA="" Q
  N IBZ D F^IBCEF("N-PATIENT STREET ADDRESS 1-3","IBZ",,IBXIEN)
@@ -227,11 +227,4 @@
  . S IBIDTYP=$P($G(^IBE(355.97,IBIDTYP,0)),"^",3)
  . S:IBIDTYP="EI" IBID=$P($G(^IBA(355.9,IB3559,0)),"^",7),IBQFL=1
- ; if nothing found yet, look in file 355.93 for Facility Default ID
- I IBID="",IBPROV["IBA(355.93" D
- .N IB0,IBFID,IBQ
- .S IB0=$G(^IBA(355.93,+IBPROV,0)) Q:IB0=""!($P(IB0,U,2)'=1)  ; not a facility - bail out
- .S IBFID=$P(IB0,U,9) Q:IBFID=""  ; no default id on file - bail out
- .S IBQ=$P(IB0,U,13) I +IBQ>0,$P($G(^IBE(355.97,IBQ,0)),U,3)=24 S IBID=IBFID
- .Q
  Q $$NOPUNCT^IBCEF(IBID)
  ;
Index: FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF73A.m
===================================================================
--- FOIAVistA/trunk/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF73A.m	(revision 631)
+++ FOIAVistA/tag/r/INTEGRATED_BILLING-IB-PRQ--IBD--IBQ--PRQS/IBCEF73A.m	(revision 636)
@@ -1,4 +1,4 @@
 IBCEF73A ;ALB/KJH - FORMATTER AND EXTRACTOR SPECIFIC (NPI) BILL FUNCTIONS ; 30 Aug 2006  10:38 AM
- ;;2.0;INTEGRATED BILLING;**343,374,395**;21-MAR-94;Build 3
+ ;;2.0;INTEGRATED BILLING;**343,374**;21-MAR-94;Build 16
  ;; Per VHA Directive 10-93-142, this routine should not be modified.
  ;
@@ -104,5 +104,4 @@
  I IBORG S NPI=$P($$NPI^XUSNPI("Organization_ID",IBORG),U) S:NPI'=-1 $P(IBRETVAL,U,3)=NPI
  I NPI<1,$D(IBNONPI) S IBNONPI=$S(IBNONPI="":3,1:IBNONPI_U_3)
- I $$ISRX^IBCEF1(IBIEN399) S IBORG=$$RXSITE(IBIEN399) I IBORG S NPI=$P($$NPI^XUSNPI("Organization_ID",IBORG),U) S:NPI'=-1 $P(IBRETVAL,U,3)=NPI
  Q IBRETVAL
  ;
@@ -129,29 +128,2 @@
  I '$L(TAX),$D(IBNOTAX) S IBNOTAX=$S(IBNOTAX="":3,1:IBNOTAX_U_3)
  Q IBRETVAL
- ;
-RXSITE(IBIEN399,IBLIST) ; returns prescription organization (file 4) pointer
- ; for the given bill.  If IBLIST passed by reference, then a list of
- ; the possible organizations are returned for a bill, since a bill may
- ; have more than one prescription.  If more than one rx on the bill, the
- ; $$ return is the pointer of the last prescription found.
- ; IBLIST(rx ien,fill date)=ORGINATION (file 4 pointer)
- ;
- N IBX,IBDATA,IBORG,IBRX,IBDT,IBY,IBRXN,DFN
- K ^TMP($J,"IBCEF73A")
- S IBORG=0,DFN=$P($G(^DGCR(399,IBIEN399,0)),"^",2),IBLIST="IBCEF73A"
- S IBRXN=0 F  S IBRXN=$O(^IBA(362.4,"AIFN"_IBIEN399,IBRXN)) Q:'IBRXN  S IBX=0 F  S IBX=$O(^IBA(362.4,"AIFN"_IBIEN399,IBRXN,IBX)) Q:'IBX  D
- . S IBDATA=$G(^IBA(362.4,IBX,0))
- . S IBRX=$P(IBDATA,"^",5),IBDT=$P(IBDATA,"^",3) Q:'IBRX!('IBDT)
- . D RX^PSO52API(DFN,IBLIST,IBRX,,"0,2,R")
- . I IBDT=+$G(^TMP($J,"IBCEF73A",DFN,IBRX,22)) S (IBORG,IBLIST(IBRX,IBDT))=$$PSONPI(+$G(^TMP($J,"IBCEF73A",DFN,IBRX,20))) Q
- . S IBY=0 F  S IBY=$O(^TMP($J,"IBCEF73A",DFN,IBRX,"RF",IBY)) Q:'IBY  I IBDT=+$G(^TMP($J,"IBCEF73A",DFN,IBRX,"RF",IBY,.01)) S (IBORG,IBLIST(IBRX,IBDT))=$$PSONPI(+$G(^TMP($J,"IBCEF73A",DFN,IBRX,"RF",IBY,8))) Q
- K ^TMP($J,"IBCEF73A")
- Q IBORG
- ;
-PSONPI(IB59IEN) ; returns institution ien for a file 59 ien
- N IB4IEN
- K ^TMP($J,"IBCEF59")
- D PSS^PSO59(IB59IEN,,"IBCEF59")
- S IB4IEN=+$G(^TMP($J,"IBCEF59",IB59IEN,101))
- K ^TMP($J,"IBCEF59")
- Q IB4IEN
